Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class FindDomainTypesRequest

Object
PagedRequest
FindDomainTypesRequest

All Implemented Interfaces:
  `Serializable`

public class FindDomainTypesRequest extends PagedRequest
The search criteria for Domain Types.

Only parameters that are specified in this request and do not have `null` values are used for filtering. All other parameters are ignored.

The returned Domain Types satisfy all constraints that are specified in these search criteria.

By default, a result containing at most 1000 Domain Types is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindDomainTypesRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDomainTypesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDomainTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Boolean`
  `getExcludeMeta()`
  Whether the meta Domain Types should be excluded from search or not.
  `String`
  `getName()`
  The name of the Domain Type to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `UUID`
  `getParentId()`
  The ID of the parent to find the Domain Types in.
  `Boolean`
  `getTopLevel()`
  Whether only top level Domain Types should be searched or not.
  `int`
  `hashCode()`
  `void`
  `setExcludeMeta(Boolean excludeMeta)`
  Whether the meta Domain Types should be excluded from search or not.
  `void`
  `setName(String name)`
  The name of the Domain Type to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setParentId(UUID parentId)`
  The ID of the parent to find the Domain Types in.
  `void`
  `setTopLevel(Boolean topLevel)`
  Whether only top level Domain Types should be searched or not.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDomainTypesRequest

    public FindDomainTypesRequest()

- ## Method Details

  - ### builder

    public static FindDomainTypesRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the Domain Type to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. The search is case-insensitive.

  - ### getParentId

    public UUID getParentId()
    The ID of the parent to find the Domain Types in.

  - ### getExcludeMeta

    public Boolean getExcludeMeta()
    Whether the meta Domain Types should be excluded from search or not.

  - ### getTopLevel

    public Boolean getTopLevel()
    Whether only top level Domain Types should be searched or not.

  - ### setName

    public void setName(String name)
    The name of the Domain Type to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. The search is case-insensitive.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the parent to find the Domain Types in.

  - ### setExcludeMeta

    public void setExcludeMeta(Boolean excludeMeta)
    Whether the meta Domain Types should be excluded from search or not.

  - ### setTopLevel

    public void setTopLevel(Boolean topLevel)
    Whether only top level Domain Types should be searched or not.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`